Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.signature
Class ReferenceNotInitializedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xml.security.exceptions.XMLSecurityException
                  org.apache.xml.security.signature.XMLSignatureException
                      org.apache.xml.security.signature.ReferenceNotInitializedException

All Implemented Interfaces:
  java.io.Serializable

    public class ReferenceNotInitializedException

extends XMLSignatureException

Raised if verifying a `Reference` fails because of an uninitialized `XMLSignatureInput`

Author:
  Christian Geuer-Pollmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`msgID`

Constructor Summary
`ReferenceNotInitializedException()` Constructor ReferenceNotInitializedException
`ReferenceNotInitializedException(java.lang.String msgID)` Constructor ReferenceNotInitializedException
`ReferenceNotInitializedException(java.lang.String msgID, java.lang.Exception originalException)` Constructor ReferenceNotInitializedException
`ReferenceNotInitializedException(java.lang.String msgID, java.lang.Object[] exArgs)` Constructor ReferenceNotInitializedException
`ReferenceNotInitializedException(java.lang.String msgID, java.lang.Object[] exArgs, java.lang.Exception originalException)` Constructor ReferenceNotInitializedException

Method Summary

Methods inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`getMsgID, getOriginalException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceNotInitializedException

    public ReferenceNotInitializedException()

  Constructor ReferenceNotInitializedException

### ReferenceNotInitializedException

    public ReferenceNotInitializedException(java.lang.String msgID)

  Constructor ReferenceNotInitializedException

  Parameters:
    `msgID` -

### ReferenceNotInitializedException

    public ReferenceNotInitializedException(java.lang.String msgID,
                                            java.lang.Object[] exArgs)

  Constructor ReferenceNotInitializedException

  Parameters:
    `msgID` -
    `exArgs` -

### ReferenceNotInitializedException

    public ReferenceNotInitializedException(java.lang.String msgID,
                                            java.lang.Exception originalException)

  Constructor ReferenceNotInitializedException

  Parameters:
    `msgID` -
    `originalException` -

### ReferenceNotInitializedException

    public ReferenceNotInitializedException(java.lang.String msgID,
                                            java.lang.Object[] exArgs,
                                            java.lang.Exception originalException)

  Constructor ReferenceNotInitializedException

  Parameters:
    `msgID` -
    `exArgs` -
    `originalException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD